import * as DivCommon from './div-page-common';

export default function GameCreationDivPage(element, listener) {

  const id='game-creation';
  const className=GameCreationDivPage.name;

  let div = element.getChildByID(id);
  let connectButton = element.getChildByName('loginButton');
  let username = element.getChildByName('username');
  let connectionStatus = element.getChildByID('connectionStatus');
  let onlineGame = element.getChildByName('onlineGame');

  let eventListener = function(event) {
    let eventName = event.target.name;
    switch (eventName) {
        case "backToPrev":
          listener.onGoPreviousPage(gameCreationDivPage);
          break;

      default:
        break;
    }
  };

  div.addEventListener('click',eventListener);

  let onShow = function() {

  };

  let onHide = function() {

  };

  let gameCreationDivPage = {
    className,
    div,
    onShow,
    onHide
  };
  return Object.assign(
    gameCreationDivPage,
    DivCommon.canShow(gameCreationDivPage),
    DivCommon.canHide(gameCreationDivPage)
  );

}



